## 52?format=zip&new=52

=== Makefile ===
all: help

deb:
	@dpkg-buildpackage -rfakeroot -k0x570712BF -aamd64
	@dpkg-buildpackage -rfakeroot -k0x570712BF -ai386

clean:
	@debian/rules clean

source: 
	@wget http://ftp.twaren.net/Unix/Web/apache/hadoop/core/hadoop-0.18.3/hadoop-0.18.3.tar.gz
	@tar zxvf hadoop-0.18.3.tar.gz -C ..
	@rm conf/hadoop-env.sh  
	@rm conf/hadoop-site.xml
	@chmod a+x `find . -name "configure"`

update:
	@scp GPG-KEY-JAZZWANG www.classcloud.org:/var/www/hadoop/.
	@scp ../hadoop*_amd64.deb www.classcloud.org:/var/www/hadoop/dists/unstable/main/binary-amd64/.
	@scp ../hadoop*_i386.deb www.classcloud.org:/var/www/hadoop/dists/unstable/main/binary-i386/.
	@ssh www.classcloud.org /var/www/hadoop/update-repository.sh

help:
	@echo "Usage:"
	@echo "make deb     - Build Debian Package."
	@echo "make clean   - Clean up Debian Package temparate files."
	@echo "make source  - download source tarball from hadoop mirror site."
	@echo "make update  - upload deb packages to classcloud.org."
	@echo "make help    - show Makefile options."

=== debian/control ===
Source: hadoop
Section: devel
Priority: extra
Maintainer: Jazz Yao-Tsung Wang <jazzwang.tw@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: hadoop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sun-java6-jre, sun-java6-bin
Suggests: sun-java6-jdk
Description: Apache Hadoop Core
  .
  Apache Hadoop Core is a software platform that lets one easily write and 
  run applications that process vast amounts of data.
  .
  Here's what makes Hadoop especially useful:
   * Scalable: Hadoop can reliably store and process petabytes.
   * Economical: It distributes the data and processing across clusters of 
                 commonly available computers. These clusters can number into 
                 the thousands of nodes.
   * Efficient: By distributing the data, Hadoop can process it in parallel on
                the nodes where the data is located. This makes it extremely 
                rapid.
   * Reliable: Hadoop automatically maintains multiple copies of data and 
               automatically redeploys computing tasks based on failures.
  .
  Hadoop implements MapReduce, using the Hadoop Distributed File System (HDFS)
  MapReduce divides applications into many small blocks of work. HDFS creates 
  multiple replicas of data blocks for reliability, placing them on compute 
  nodes around the cluster. MapReduce can then process the data where it is 
  located.
  .
  For more information about Hadoop, please see the Hadoop website.
  http://hadoop.apache.org/

Package: hadoop-src
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sun-java6-jdk, ant, gcc, g++, hadoop
Description: Apache Hadoop Core ( java source code and examples )
  .
  Apache Hadoop Core is a software platform that lets one easily write and
  run applications that process vast amounts of data.
  .
  This package include the java source code and examples from original
  tarball. Install this package only when you need to rebuild the jar binary
  or want to run the 'Word Count' examples of MapReduce.

Package: hadoop-doc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Apache Hadoop Core Documents
  .
  Apache Hadoop Core is a software platform that lets one easily write and
  run applications that process vast amounts of data.
  .
  This package include the HTML and PDF documents from original tarball.
  Install this package only when you need these documents.
